/// <reference types="jquery" />
import "bootstrap-datepicker";
import { AfterViewInit } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
export declare const BASE_OPTION: DatepickerOptions;
export declare const th_TH: DatepickerOptions;
export declare const en_GB: DatepickerOptions;
export declare class NgqDatepickerComponent implements ControlValueAccessor, AfterViewInit {
    hideIcon: false;
    id: string;
    class: string;
    placeholder: string;
    input: any;
    _jQueryElement: JQuery;
    _value: number;
    _isDisabled: boolean;
    _opts: DatepickerOptions;
    constructor();
    opts: DatepickerOptions;
    ngAfterViewInit(): void;
    private initDatepicker;
    onChange(value: string): void;
    propagateChange: (_: any) => void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
}
